class FrontController < ApplicationController
  skip_before_action :check_administrator

  def index
    @pages = Page.active.anchors
  end

  def page
    @page = Page.find_by(url_id: params[:id]) || Page.find(params[:id])
  end

  def update_miner_activity
    miner = Miner.find_by(name: params[:name])
    miner.update(status: 'work')
    render json: {status: 'ok'}
  end

end
